# Interface SchemaValidationResponse<Data>

interface SchemaValidationResponse<Data> {
body?: null | Data;
data?: Data;
headers: HttpHeaders;
status: number;
}

#### Type Parameters

- Data

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:22

#####
Index

### Properties

body?
data?
headers
status

##
Properties

### `Optional` body

body?: null | Data

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:25

### `Optional` data

data?: Data

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:26

### headers

headers: HttpHeaders

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:23

### status

status: number

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:24